org.apache.ignite.internal.processors.cache.persistence

## Interface CacheSearchRow

All Superinterfaces:
  MvccVersionAware

All Known Subinterfaces:
  CacheDataRow

All Known Implementing Classes:
  CacheDataRowAdapter, DataRow, DataRowCacheAware, MvccDataRow, MvccLinkAwareSearchRow, MvccMaxSearchRow, MvccMinSearchRow, MvccSearchRow, MvccSnapshotSearchRow, MvccUpdateDataRow, SearchRow

    public interface CacheSearchRow
    extends MvccVersionAware

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `cacheId()`
`int` `hash()`
`KeyCacheObject` `key()`
`long` `link()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccCoordinatorVersion, mvccCounter, mvccOperationCounter, mvccTxState, mvccVersion, mvccVersion, mvccVersion, mvccVersion`

### Method Detail

#### key

    KeyCacheObject key()

Returns:
  Cache key.

#### link

    long link()

Returns:
  Link for this row.

#### hash

    int hash()

Returns:
  Key hash code.

#### cacheId

    int cacheId()

Returns:
  Cache ID or `0` if cache ID is not defined.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020